## qt5-style-kvantum 1.0.3

=== Kvantum/kvantummanager/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")

if(NOT ENABLE_QT5)
  set(QT_VERSION_MAJOR 6)
  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
else()
  set(QT_VERSION_MAJOR 5)
  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
endif()

find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt${QT_VERSION_MAJOR}Core_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
#get_filename_component(PARENT_DIR ${CMAKE_SOURCE_DIR} DIRECTORY)

set(KM_SOURCES
    main.cpp
    KvantumManager.cpp
    KvCommand.cpp
    svgicons.cpp)

#set(KM_UI kvantummanager.ui)

set(KM_RESOURCES kvantummanager.qrc)

set(DESKTOP_FILE data/kvantummanager.desktop)

if(QT_VERSION_MAJOR EQUAL 6)
  #qt6_wrap_ui(KM_UIS_H ${KM_UI})
  set(COMBO_HEADER combobox.h)
else()
   #qt5_wrap_ui(KM_UIS_H ${KM_UI})
  if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"
  else()
    set(COMBO_HEADER combobox.h)
  endif()
endif()

# Translations
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantummanager_*.ts)
  if(QT_VERSION_MAJOR EQUAL 6)
    qt6_add_translation(QM_FILES ${TS_FILES})
  else()
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif()
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantummanager/translations")
else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE})
endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)

target_link_libraries(kvantummanager Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Gui Qt${QT_VERSION_MAJOR}::Svg)

install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${CMAKE_SOURCE_DIR}/kvantumpreview/data/kvantum.svg DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== Kvantum/kvantumpreview/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")

if(NOT ENABLE_QT5)
  set(QT_VERSION_MAJOR 6)
  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
else()
  set(QT_VERSION_MAJOR 5)
  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
endif()

find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt${QT_VERSION_MAJOR}Core_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(KP_SOURCES main.cpp)
set(KP_UI KvantumPreviewBase.ui)
set(KP_RESOURCES KvantumPreviewResources.qrc)

if(QT_VERSION_MAJOR EQUAL 6)
  qt6_wrap_ui(KP_UIS_H ${KP_UI})
  set(KP_HEADER KvantumPreview.h)
else()
  qt5_wrap_ui(KP_UIS_H ${KP_UI})
  if (CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    qt5_wrap_cpp(KP_HEADER KvantumPreview.h) # needed by "main.cpp"
  else()
    set(KP_HEADER KvantumPreview.h)
  endif()
endif()

# Translations
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantumpreview_*.ts)
  if(QT_VERSION_MAJOR EQUAL 6)
    qt6_add_translation(QM_FILES ${TS_FILES})
  else()
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif()
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantumpreview/translations")
else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE})
endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)

target_link_libraries(kvantumpreview Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Gui)

install(TARGETS kvantumpreview RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== Kvantum/style/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")
set(KF5_MINIMUM_VERSION "5.82.0")

if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    set(QT_VERSION_MAJOR 6)
    find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
  else()
    set(QT_VERSION_MAJOR 5)
    find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
    find_package(KF5WindowSystem "${KF5_MINIMUM_VERSION}" REQUIRED)
  endif()
else()
  find_package(Qt4 4.8.7 REQUIRED)

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})
endif()

find_package(X11 REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(NOT ENABLE_QT4)
  if(QT_VERSION_MAJOR EQUAL 6)
    get_target_property(REAL_QMAKE_EXECUTABLE Qt6::qmake
                        IMPORTED_LOCATION)
    execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                    OUTPUT_VARIABLE _Qt6_PLUGIN_INSTALL_DIR
                    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(KVANTUM_STYLE_DIR "${_Qt6_PLUGIN_INSTALL_DIR}/styles/")

    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                        ${Qt6Core_INCLUDE_DIRS} ${Qt6Widgets_INCLUDE_DIRS}
                        ${Qt6Gui_INCLUDE_DIRS} ${Qt6Svg_INCLUDE_DIRS}
                        ${X11_INCLUDE_DIR})
  else()
    get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                        IMPORTED_LOCATION)
    execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                    OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                        ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                        ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                        ${Qt5X11Extras_INCLUDE_DIRS}
                        ${X11_INCLUDE_DIR})
  endif()
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(NOT ENABLE_QT4)
  if(QT_VERSION_MAJOR EQUAL 6)
    set(kvantum_SOURCES
        Kvantum.cpp
        eventFiltering.cpp
        polishing.cpp
        rendering.cpp
        standardIcons.cpp
        viewItems.cpp
        KvantumPlugin.cpp
        shortcuthandler.cpp
        blur/blurhelper.cpp
        drag/windowmanager.cpp
        themeconfig/ThemeConfig.cpp
        animation/animation.cpp)
  else()
    set(kvantum_SOURCES
        Kvantum.cpp
        eventFiltering.cpp
        polishing.cpp
        rendering.cpp
        standardIcons.cpp
        viewItems.cpp
        KvantumPlugin.cpp
        shortcuthandler.cpp
        blur/blurhelper.cpp
        drag/windowmanager.cpp
        themeconfig/ThemeConfig.cpp
        animation/animation.cpp)
  endif()
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      qt4/shortcuthandler4.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      qt4/ThemeConfig4.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})

if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(NOT ENABLE_QT4)
  if(QT_VERSION_MAJOR EQUAL 6)
    target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                  ${Qt6Gui_LIBRARIES}
                                  ${Qt6Widgets_LIBRARIES}
                                  ${Qt6Svg_LIBRARIES}
                                  ${X11_LIBRARIES})

  else()
    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                  ${Qt5Gui_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5Svg_LIBRARIES}
                                  ${Qt5X11Extras_LIBRARIES}
                                  ${X11_LIBRARIES}
                                  KF5::WindowSystem)
  endif()
else()
  target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                                ${QT_QTGUI_LIBRARY}
                                ${QT_QTSVG_LIBRARY}
                                ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
if(QT_VERSION_MAJOR LESS 6)
  install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})
endif()

=== debian/changelog ===
qt5-style-kvantum (1.0.3-1) unstable; urgency=medium

  * Fix debian/watch and we do not do repack anymore.
  * Added debian/upstream/signing-key.asc.
  * New upstream version 1.0.3
  * Added myself as Uploaders.
  * debian/copyright: drop repack comment as we don't need to do repack
    anymore.
  * Update debian/copyright.
  * debian/rules: specify source directory for dh.
  * debian/docs: correct path as now we use original upstream tarball
    instead of repack one.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 23 Jul 2022 22:53:43 +0800

qt5-style-kvantum (1.0.0+repack-1) unstable; urgency=medium

  * New upstream version 1.0.0+repack
  * debian/copyright: Update copyright date
  * debian/control: Bump Standards-Version to 4.6.0 

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 05 Feb 2022 13:26:45 -0500

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.0
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git

Package: qt5-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt5-style-kvantum-themes | qt5-style-kvantum-theme
Recommends: qt5-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.


Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.


Package: qt5-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Kvantum/releases .*/Kvantum-([\d\.]+).tar.xz

## qt5-style-kvantum 1.0.7

=== Kvantum/CMakeLists.txt ===
project(kvantum)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions (-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT4 "Building Qt4 plugin." OFF)
option(ENABLE_QT5 "Building Qt5 plugin." ON)

add_subdirectory(style)
if(NOT ENABLE_QT4)
  if(ENABLE_QT5)
    add_subdirectory(kvantumpreview)
    add_subdirectory(kvantummanager)
    add_subdirectory(themes)
  endif()
endif()

=== Kvantum/kvantummanager/CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,13 @@
 
 if(NOT ENABLE_QT5)
   set(QT_VERSION_MAJOR 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
 else()
   set(QT_VERSION_MAJOR 5)
-  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
 endif()
 
-find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)

=== Kvantum/style/CMakeLists.txt ===
--- 
+++ 
@@ -5,17 +5,10 @@
 if(NOT ENABLE_QT4)
   if(NOT ENABLE_QT5)
     set(QT_VERSION_MAJOR 6)
-    find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
   else()
     set(QT_VERSION_MAJOR 5)
-    find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
-    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg X11Extras)
     find_package(KF5WindowSystem "${KF5_MINIMUM_VERSION}" REQUIRED)
   endif()
 else()

=== Kvantum/themes/CMakeLists.txt ===
set(KVANTUM_THEME_DIR "${CMAKE_INSTALL_PREFIX}/share/Kvantum/")
set(KF5_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
set(OPENBOX_DIR "${CMAKE_INSTALL_PREFIX}/share/themes/")

# CMAKE_CURRENT_LIST_DIR can be used too. The trailing slash means the contents.
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/kvthemes/" DESTINATION ${KVANTUM_THEME_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/colors/" DESTINATION ${KF5_COLOR_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/openbox/" DESTINATION ${OPENBOX_DIR})

=== debian/changelog ===
qt5-style-kvantum (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Update d/watch for GitHub.
  * Update d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:47:32 +0800

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/tsujan/Kvantum
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
 Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
+Rules-Requires-Root: no
 
 Package: qt5-style-kvantum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --sourcedirectory=Kvantum --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qt5-style-kvantum 1.0.10

=== Kvantum/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.1.0)
 project(kvantum)
-cmake_minimum_required(VERSION 3.0)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions (-Wall)
 
@@ -8,6 +8,7 @@
 endif()
 
 option(ENABLE_QT4 "Building Qt4 plugin." OFF)
+option(WITHOUT_KF "Compiling without KDE Frameworks..." OFF)
 option(ENABLE_QT5 "Building Qt5 plugin." ON)
 
 add_subdirectory(style)

=== Kvantum/kvantumpreview/CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,13 @@
 
 if(NOT ENABLE_QT5)
   set(QT_VERSION_MAJOR 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets)
 else()
   set(QT_VERSION_MAJOR 5)
-  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets)
 endif()
 
-find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
 set(CMAKE_AUTOMOC ON)
 #set(CMAKE_AUTOUIC ON)

=== Kvantum/style/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.2.0")
set(KF5_MINIMUM_VERSION "5.82.0")

if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    set(QT_VERSION_MAJOR 6)
    find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
  else()
    set(QT_VERSION_MAJOR 5)
    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg X11Extras)
    if(NOT WITHOUT_KF)
      find_package(KF5WindowSystem "${KF5_MINIMUM_VERSION}" REQUIRED)
    endif()
  endif()
else()
  set(QT_VERSION_MAJOR 4)
  find_package(Qt4 4.8.7 REQUIRED)

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})
endif()

find_package(X11 REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(QT_VERSION_MAJOR EQUAL 6)
  get_target_property(REAL_QMAKE_EXECUTABLE Qt6::qmake
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt6_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt6_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS} ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS} ${Qt6Svg_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
elseif(QT_VERSION_MAJOR EQUAL 5)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(WITHOUT_KF)
  add_definitions(-DNO_KF)
endif()

if(QT_VERSION_MAJOR GREATER 4)
  set(kvantum_SOURCES
      Kvantum.cpp
      eventFiltering.cpp
      polishing.cpp
      rendering.cpp
      standardIcons.cpp
      viewItems.cpp
      KvantumPlugin.cpp
      shortcuthandler.cpp
      blur/blurhelper.cpp
      drag/windowmanager.cpp
      themeconfig/ThemeConfig.cpp
      animation/animation.cpp)
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      qt4/shortcuthandler4.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      qt4/ThemeConfig4.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})

if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                ${Qt6Gui_LIBRARIES}
                                ${Qt6Widgets_LIBRARIES}
                                ${Qt6Svg_LIBRARIES}
                                ${X11_LIBRARIES})
elseif(QT_VERSION_MAJOR EQUAL 5)
  if(WITHOUT_KF)
    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                  ${Qt5Gui_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5Svg_LIBRARIES}
                                  ${Qt5X11Extras_LIBRARIES}
                                  ${X11_LIBRARIES})
  else()
    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                  ${Qt5Gui_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5Svg_LIBRARIES}
                                  ${Qt5X11Extras_LIBRARIES}
                                  ${X11_LIBRARIES}
                                  KF5::WindowSystem)
  endif()
else()
  target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                                ${QT_QTGUI_LIBRARY}
                                ${QT_QTSVG_LIBRARY}
                                ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
if(QT_VERSION_MAJOR LESS 6)
  install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})
endif()

=== Kvantum/themes/CMakeLists.txt ===
set(KVANTUM_THEME_DIR "${CMAKE_INSTALL_PREFIX}/share/Kvantum/")
set(KF5_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")

# CMAKE_CURRENT_LIST_DIR can be used too. The trailing slash means the contents.
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/kvthemes/" DESTINATION ${KVANTUM_THEME_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/colors/" DESTINATION ${KF5_COLOR_DIR})

=== debian/changelog ===
qt5-style-kvantum (1.0.10-1build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:33 +0200

qt5-style-kvantum (1.0.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:13 +0000

qt5-style-kvantum (1.0.10-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:45:35 +0000

qt5-style-kvantum (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/README.Debian: took how to use from INSTALL.md file.
    (Closes: #1004824)
  * debian/control: update team address.
  * debian/copyright: update.
  * Drop obsoleted debian/repack.sh.
  * debian/qt5-style-kvantum-themes.install: upstream dropped Openbox
    themes (Openbox's development stopped years ago).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: cleanup build-deps.
  * debian/salsa-ci.yml: enable salsa-ci.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 13 Aug 2023 11:35:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qt5-style-kvantum
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -8,12 +9,9 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libkf5windowsystem-dev,
-               libx11-dev,
-               libxext-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/tsujan/Kvantum
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/([vV]?@ANY_VERSION@)@ARCHIVE_EXT@/releases\/download\/$1\/Kvantum-$2\.tar\.xz/,filenamemangle=s/Kvantum-[vV]?@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Kvantum/tags .*/[vV]?@ANY_VERSION@@ARCHIVE_EXT@
